X2Go Bug report logs - #471
ATTENTION @Mike#1 - serious bug in x2goserver upgrade script (debian wheezy+squeeze)

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Stefan Baur <newsgroups.mail2@stefanbaur.de>

Date: Thu, 3 Apr 2014 06:55:02 UTC

Severity: grave

Tags: pending

Found in version 4.0.1.14

Fixed in version 4.0.1.15

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#471; Package x2goserver. (Thu, 03 Apr 2014 06:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 03 Apr 2014 06:55:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: "x2go-dev@lists.berlios.de" <x2go-dev@lists.berlios.de>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, submit@bugs.x2go.org
Subject: ATTENTION @Mike#1 - serious bug in x2goserver upgrade script (debian wheezy+squeeze)
Date: Thu, 03 Apr 2014 08:47:25 +0200
Package: x2goserver
Severity: grave
Version: 4.0.1.14

Hi Mike,

this is happening on

x2goserver (4.0.1.14-0x2go1+git20140402.842+squeeze.main.1)

as well.

Please help! All my machines are stuck in the upgrade process! This is
not good!

-Stefan


-------- Original-Nachricht --------
Betreff: [X2Go-User] Unable to upgrade
Datum: Wed, 2 Apr 2014 19:14:53 +0300
Von: Panayotis Katsaloulis <panayotis@panayotis.com>
An: x2go-user@lists.berlios.de

Hello all!

I have installed x2go, I can connect - everything is fine.
In the past I think there was a problem when I tried to launch a client
(as xterm session), and which I was unable to properly close, so I
forced close it.

The problem is that I am unable to upgrade through apt-get upgrade though.

Now when I try to upgrade I get this message:

Processing triggers for menu (2.1.46) ...
Setting up x2goserver (4.0.1.14-0x2go1+git20140402.842+wheezy.main.1) ...
Group x2gouser already exists.
User x2gouser already exists.
[info] Cleaning up stale X2Go sessions..

… and the screen remains like this forever.

The uname -a command produces the following result:

Linux danube 3.13-1-amd64 #1 SMP Debian 3.13.7-1 (2014-03-25) x86_64
GNU/Linux

Any help?

--
Panayotis


_______________________________________________
X2Go-User mailing list
X2Go-User@lists.berlios.de
https://lists.berlios.de/mailman/listinfo/x2go-user


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#471; Package x2goserver. (Thu, 03 Apr 2014 08:00:01 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 03 Apr 2014 08:00:01 GMT) (full text, mbox, link).


Message #10 received at 471@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: 471@bugs.x2go.org, "x2go-dev@lists.berlios.de" <x2go-dev@lists.berlios.de>
Subject: Re: [X2Go-Dev] Bug#471: ATTENTION @Mike#1 - serious bug in x2goserver upgrade script (debian wheezy+squeeze)
Date: Thu, 03 Apr 2014 09:52:58 +0200
Gah. E_NOTENOUGHCAFFEINE. This was supposed to go to the list and
bugtracker as well.


-------- Original-Nachricht --------
Betreff: Re: [X2Go-Dev] Bug#471: ATTENTION @Mike#1 - serious bug in
x2goserver upgrade script (debian wheezy+squeeze)
Datum: Thu, 03 Apr 2014 09:50:09 +0200
Von: Stefan Baur <newsgroups.mail2@stefanbaur.de>
Antwort an: Stefan Baur <newsgroups.mail2@stefanbaur.de>,
471@bugs.x2go.org, x2go-dev@lists.berlios.de
An: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Addendum:

This is part of the "ps ax" output on one of the affected machines:

 2563 pts/2    S+     0:00 apt-get upgrade -y
 4958 pts/1    S+     0:00 /usr/bin/perl -w /usr/share/debconf/frontend
/var/lib/dpkg/info/x2goserver.postinst configure 4.0.1.13-0x2go1+
 4962 pts/1    Z+     0:00 [x2goserver.post] <defunct>
 5004 pts/1    S+     0:00 /usr/bin/perl /usr/sbin/x2gocleansessions

manually killing x2gocleansessions (" kill $(pidof x2gocleansessions)")
seems to be a workaround, but still, we need a real fix in the form of
an updated package.

-Stefan

Am 03.04.2014 08:47, schrieb Stefan Baur:
> Package: x2goserver
> Severity: grave
> Version: 4.0.1.14
> 
> Hi Mike,
> 
> this is happening on
> 
> x2goserver (4.0.1.14-0x2go1+git20140402.842+squeeze.main.1)
> 
> as well.
> 
> Please help! All my machines are stuck in the upgrade process! This is
> not good!
> 
> -Stefan
> 
> 
> -------- Original-Nachricht --------
> Betreff: [X2Go-User] Unable to upgrade
> Datum: Wed, 2 Apr 2014 19:14:53 +0300
> Von: Panayotis Katsaloulis <panayotis@panayotis.com>
> An: x2go-user@lists.berlios.de
> 
> Hello all!
> 
> I have installed x2go, I can connect - everything is fine.
> In the past I think there was a problem when I tried to launch a client
> (as xterm session), and which I was unable to properly close, so I
> forced close it.
> 
> The problem is that I am unable to upgrade through apt-get upgrade though.
> 
> Now when I try to upgrade I get this message:
> 
> Processing triggers for menu (2.1.46) ...
> Setting up x2goserver (4.0.1.14-0x2go1+git20140402.842+wheezy.main.1) ...
> Group x2gouser already exists.
> User x2gouser already exists.
> [info] Cleaning up stale X2Go sessions..
> 
> … and the screen remains like this forever.
> 
> The uname -a command produces the following result:
> 
> Linux danube 3.13-1-amd64 #1 SMP Debian 3.13.7-1 (2014-03-25) x86_64
> GNU/Linux
> 
> Any help?
> 
> --
> Panayotis
> 
> 
> _______________________________________________
> X2Go-User mailing list
> X2Go-User@lists.berlios.de
> https://lists.berlios.de/mailman/listinfo/x2go-user
> _______________________________________________
> X2Go-Dev mailing list
> X2Go-Dev@lists.berlios.de
> https://lists.berlios.de/mailman/listinfo/x2go-dev
> 




Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#471; Package x2goserver. (Thu, 03 Apr 2014 08:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 03 Apr 2014 08:15:02 GMT) (full text, mbox, link).


Message #15 received at 471@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 471-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 471@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Thu, 3 Apr 2014 10:12:01 +0200 (CEST)
tag #471 pending
fixed #471 4.0.1.15
thanks

Hello,

X2Go issue #471 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=336917a

The issue will most likely be fixed in src:x2goserver (4.0.1.15).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 336917af0dc087e4540fb3d55eb501d2fa4349be
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Mar 8 22:58:14 2014 +0100

     Fix hanging of x2goserver init script. Cherry-pick a322d8c from master branch. (Fixes: #471).

diff --git a/debian/changelog b/debian/changelog
index f62c992..515a9dd 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,8 @@
 x2goserver (4.0.1.15-0x2go1) UNRELEASED; urgency=low
 
-  * Continue development on release branch...
+  * New upstream release (4.0.1.15):
+    + Fix hanging of x2goserver init script. Cherry-pick a322d8c from master
+      branch. (Fixes: #471).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 03 Apr 2014 10:08:05 +0200
 


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#471; Package x2goserver. (Thu, 03 Apr 2014 08:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 03 Apr 2014 08:15:02 GMT) (full text, mbox, link).


Message #20 received at 471@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: "x2go-dev@lists.berlios.de" <x2go-dev@lists.berlios.de>, 471@bugs.x2go.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, panayotis@panayotis.com, "x2go-user@lists.berlios.de" <x2go-user@lists.berlios.de>
Subject: Re: [X2Go-Dev] Bug#471: Bug#471: ATTENTION @Mike#1 - serious bug in x2goserver upgrade script (debian wheezy+squeeze)
Date: Thu, 03 Apr 2014 10:13:30 +0200
Further Info:

1) I'm guessing it's a race condition, with two instances of
x2gocleansessions running simpultaneously and locking each other up:

e.g. sample output:

ps ax|grep clean
 1995 ?        S      0:36 /usr/bin/perl /usr/sbin/x2gocleansessions
16142 pts/0    S+     0:05 /usr/bin/perl /usr/sbin/x2gocleansessions

2) The kill command given below in my previous e-mail doesn't work.
What worked was this:

ps ax | grep x2gocleansessions | grep perl \
| awk ' { print $1 }' | xargs -n 1 kill

(the backslash is so it can be broken up in two lines)
You have to run this in a second terminal session (as root) while the
apt-get upgrade process is stuck in the first.

It will then continue without reporting an error.

-Stefan


Am 03.04.2014 09:52, schrieb Stefan Baur:
> Gah. E_NOTENOUGHCAFFEINE. This was supposed to go to the list and
> bugtracker as well.
> 
> 
> -------- Original-Nachricht --------
> Betreff: Re: [X2Go-Dev] Bug#471: ATTENTION @Mike#1 - serious bug in
> x2goserver upgrade script (debian wheezy+squeeze)
> Datum: Thu, 03 Apr 2014 09:50:09 +0200
> Von: Stefan Baur <newsgroups.mail2@stefanbaur.de>
> Antwort an: Stefan Baur <newsgroups.mail2@stefanbaur.de>,
> 471@bugs.x2go.org, x2go-dev@lists.berlios.de
> An: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
> 
> Addendum:
> 
> This is part of the "ps ax" output on one of the affected machines:
> 
>  2563 pts/2    S+     0:00 apt-get upgrade -y
>  4958 pts/1    S+     0:00 /usr/bin/perl -w /usr/share/debconf/frontend
> /var/lib/dpkg/info/x2goserver.postinst configure 4.0.1.13-0x2go1+
>  4962 pts/1    Z+     0:00 [x2goserver.post] <defunct>
>  5004 pts/1    S+     0:00 /usr/bin/perl /usr/sbin/x2gocleansessions
> 
> manually killing x2gocleansessions (" kill $(pidof x2gocleansessions)")
> seems to be a workaround, but still, we need a real fix in the form of
> an updated package.
> 
> -Stefan
> 
> Am 03.04.2014 08:47, schrieb Stefan Baur:
>> Package: x2goserver
>> Severity: grave
>> Version: 4.0.1.14
>>
>> Hi Mike,
>>
>> this is happening on
>>
>> x2goserver (4.0.1.14-0x2go1+git20140402.842+squeeze.main.1)
>>
>> as well.
>>
>> Please help! All my machines are stuck in the upgrade process! This is
>> not good!
>>
>> -Stefan
>>
>>
>> -------- Original-Nachricht --------
>> Betreff: [X2Go-User] Unable to upgrade
>> Datum: Wed, 2 Apr 2014 19:14:53 +0300
>> Von: Panayotis Katsaloulis <panayotis@panayotis.com>
>> An: x2go-user@lists.berlios.de
>>
>> Hello all!
>>
>> I have installed x2go, I can connect - everything is fine.
>> In the past I think there was a problem when I tried to launch a client
>> (as xterm session), and which I was unable to properly close, so I
>> forced close it.
>>
>> The problem is that I am unable to upgrade through apt-get upgrade though.
>>
>> Now when I try to upgrade I get this message:
>>
>> Processing triggers for menu (2.1.46) ...
>> Setting up x2goserver (4.0.1.14-0x2go1+git20140402.842+wheezy.main.1) ...
>> Group x2gouser already exists.
>> User x2gouser already exists.
>> [info] Cleaning up stale X2Go sessions..
>>
>> … and the screen remains like this forever.
>>
>> The uname -a command produces the following result:
>>
>> Linux danube 3.13-1-amd64 #1 SMP Debian 3.13.7-1 (2014-03-25) x86_64
>> GNU/Linux
>>
>> Any help?
>>
>> --
>> Panayotis
>>
>>
>> _______________________________________________
>> X2Go-User mailing list
>> X2Go-User@lists.berlios.de
>> https://lists.berlios.de/mailman/listinfo/x2go-user
>> _______________________________________________
>> X2Go-Dev mailing list
>> X2Go-Dev@lists.berlios.de
>> https://lists.berlios.de/mailman/listinfo/x2go-dev
>>
> _______________________________________________
> X2Go-Dev mailing list
> X2Go-Dev@lists.berlios.de
> https://lists.berlios.de/mailman/listinfo/x2go-dev
> 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 03 Apr 2014 08:15:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.15. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 03 Apr 2014 08:15:03 GMT) (full text, mbox, link).


Message sent on to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug#471. (Thu, 03 Apr 2014 08:15:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#471; Package x2goserver. (Thu, 03 Apr 2014 08:20:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 03 Apr 2014 08:20:01 GMT) (full text, mbox, link).


Message #32 received at 471@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Stefan Baur <newsgroups.mail2@stefanbaur.de>
Cc: 471@bugs.x2go.org, Panayotis Katsaloulis <panayotis@panayotis.com>
Subject: Re: [X2Go-Dev] Bug#471: ATTENTION @Mike#1 - serious bug in x2goserver upgrade script (debian wheezy+squeeze)
Date: Thu, 03 Apr 2014 08:19:08 +0000
[Message part 1 (text/plain, inline)]
Hi Stefan, hi Panayotis

On  Do 03 Apr 2014 09:52:58 CEST, Stefan Baur wrote:

> Addendum:
>
> This is part of the "ps ax" output on one of the affected machines:
>
>  2563 pts/2    S+     0:00 apt-get upgrade -y
>  4958 pts/1    S+     0:00 /usr/bin/perl -w /usr/share/debconf/frontend
> /var/lib/dpkg/info/x2goserver.postinst configure 4.0.1.13-0x2go1+
>  4962 pts/1    Z+     0:00 [x2goserver.post] <defunct>
>  5004 pts/1    S+     0:00 /usr/bin/perl /usr/sbin/x2gocleansessions
>
> manually killing x2gocleansessions (" kill $(pidof x2gocleansessions)")
> seems to be a workaround, but still, we need a real fix in the form of
> an updated package.
>
> -Stefan

Can you please:

  o upgrade to 4.0.1.14
  o killall x2gocleansessions once the init script hangs during upgrade
  o replace /usr/sbin/x2gocleansessions by this file [1]
  o sudo service x2goserver start
  o now it should not hang...

Sorry, I forgot one cherry-pick to the release/4.0.1.x branch in  
x2goserver.git.

[1]  
http://code.x2go.org/gitweb?p=x2goserver.git;a=blob;f=x2goserver/sbin/x2gocleansessions;h=7fc5e8a428bcbd7867e2083f897915a2b286b32b;hb=336917af0dc087e4540fb3d55eb501d2fa4349be

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#471; Package x2goserver. (Thu, 03 Apr 2014 08:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Panayotis Katsaloulis <panayotis@panayotis.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 03 Apr 2014 08:35:02 GMT) (full text, mbox, link).


Message #37 received at 471@bugs.x2go.org (full text, mbox, reply):

From: Panayotis Katsaloulis <panayotis@panayotis.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, Stefan Baur <newsgroups.mail2@stefanbaur.de>
Cc: 471@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#471: ATTENTION @Mike#1 - serious bug in x2goserver upgrade script (debian wheezy+squeeze)
Date: Thu, 3 Apr 2014 11:32:35 +0300
Strangely. even after a reboot the problem persisted.
I had already uninstalled and re-installed the package, with no luck either.

So, I killed the x2gocleansessions manually as proposed. Then upgrade script worked as expected.
No more hanging happened.
I didn’t manually replace the script, but it should have been done by the re-installation.




On April 3, 2014 at 11:19:13 AM, Mike Gabriel (mike.gabriel@das-netzwerkteam.de) wrote:
> Hi Stefan, hi Panayotis
>  
> On Do 03 Apr 2014 09:52:58 CEST, Stefan Baur wrote:
>  
> > Addendum:
> >
> > This is part of the "ps ax" output on one of the affected machines:
> >
> > 2563 pts/2 S+ 0:00 apt-get upgrade -y
> > 4958 pts/1 S+ 0:00 /usr/bin/perl -w /usr/share/debconf/frontend
> > /var/lib/dpkg/info/x2goserver.postinst configure 4.0.1.13-0x2go1+
> > 4962 pts/1 Z+ 0:00 [x2goserver.post]  
> > 5004 pts/1 S+ 0:00 /usr/bin/perl /usr/sbin/x2gocleansessions
> >
> > manually killing x2gocleansessions (" kill $(pidof x2gocleansessions)")
> > seems to be a workaround, but still, we need a real fix in the form of
> > an updated package.
> >
> > -Stefan
>  
> Can you please:
>  
> o upgrade to 4.0.1.14
> o killall x2gocleansessions once the init script hangs during upgrade
> o replace /usr/sbin/x2gocleansessions by this file [1]
> o sudo service x2goserver start
> o now it should not hang...
>  
> Sorry, I forgot one cherry-pick to the release/4.0.1.x branch in
> x2goserver.git.
>  
> [1]
> http://code.x2go.org/gitweb?p=x2goserver.git;a=blob;f=x2goserver/sbin/x2gocleansessions;h=7fc5e8a428bcbd7867e2083f897915a2b286b32b;hb=336917af0dc087e4540fb3d55eb501d2fa4349be  
>  
> Greets,
> Mike
> --
>  
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>  
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
>  
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb  
>  

--  
Panayotis



Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#471; Package x2goserver. (Thu, 03 Apr 2014 08:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 03 Apr 2014 08:55:02 GMT) (full text, mbox, link).


Message #42 received at 471@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 471@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#471: ATTENTION @Mike#1 - serious bug in x2goserver upgrade script (debian wheezy+squeeze)
Date: Thu, 03 Apr 2014 10:47:34 +0200
Am 03.04.2014 10:19, schrieb Mike Gabriel:
>> This is part of the "ps ax" output on one of the affected
>> machines:
>> 
>> 2563 pts/2    S+     0:00 apt-get upgrade -y 4958 pts/1    S+
>> 0:00 /usr/bin/perl -w /usr/share/debconf/frontend 
>> /var/lib/dpkg/info/x2goserver.postinst configure
>> 4.0.1.13-0x2go1+ 4962 pts/1    Z+     0:00 [x2goserver.post]
>> <defunct> 5004 pts/1    S+     0:00 /usr/bin/perl
>> /usr/sbin/x2gocleansessions

> Can you please:
> 
> o upgrade to 4.0.1.14

That is actually what I was doing - no idea why the ps output suggests
that the 4.0.1.13-postinst is being called.


> o killall x2gocleansessions once the init script hangs during
> upgrade

I used

ps ax | grep x2gocleansessions | grep perl \
| awk ' { print $1 }' | xargs -n 1 kill

instead as I came up with that before you replied.
(I wasn't sure if killall does more nasty things, and the system I was
trying it on was already b0rked enough.)


... so I skipped this part ...
> o replace /usr/sbin/x2gocleansessions by this file [1] o sudo
> service x2goserver start


... because this happens immediately after the kill:
> o now it should not hang...


> Sorry, I forgot one cherry-pick to the release/4.0.1.x branch in 
> x2goserver.git.

Gna. Gnagnagna. :-/

-Stefan


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#471; Package x2goserver. (Thu, 03 Apr 2014 09:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 03 Apr 2014 09:35:01 GMT) (full text, mbox, link).


Message #47 received at 471@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Stefan Baur <newsgroups.mail2@stefanbaur.de>
Cc: 471@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#471: ATTENTION @Mike#1 - serious bug in x2goserver upgrade script (debian wheezy+squeeze)
Date: Thu, 03 Apr 2014 09:31:30 +0000
[Message part 1 (text/plain, inline)]
On  Do 03 Apr 2014 10:47:34 CEST, Stefan Baur wrote:

> ... because this happens immediately after the kill:
>> o now it should not hang...

Does service x2goserver start now work? Does the system reboot without  
hanging?

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#471; Package x2goserver. (Thu, 03 Apr 2014 09:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 03 Apr 2014 09:40:01 GMT) (full text, mbox, link).


Message #52 received at 471@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 471-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 471@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Thu, 3 Apr 2014 11:36:21 +0200 (CEST)
close #471
thanks

Hello,

we are very hopeful that X2Go issue #471 reported by you
has been resolved in the new release (4.0.1.15) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.15)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=7e43e787a8ffe26a34b66dbd4dc167e4cf29f74c;hp=ed4a76ce5015ee195476d2612abc94459e552c3a

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.15-0x2go1
Status: RELEASE
Date: Thu, 03 Apr 2014 11:35:50 +0200
Fixes: 471
Changes: 
 x2goserver (4.0.1.15-0x2go1) RELEASED; urgency=low
 .
   * New upstream release (4.0.1.15):
     + Fix hanging of x2goserver init script. Cherry-pick a322d8c from master
       branch. (Fixes: #471).
     + Add COPYING (GPL-2) file to base project folder.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 03 Apr 2014 09:40:02 GMT) (full text, mbox, link).


Notification sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug acknowledged by developer. (Thu, 03 Apr 2014 09:40:02 GMT) (full text, mbox, link).


Message sent on to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Bug#471. (Thu, 03 Apr 2014 09:40:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#471; Package x2goserver. (Thu, 03 Apr 2014 09:45:01 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 03 Apr 2014 09:45:01 GMT) (full text, mbox, link).


Message #64 received at 471@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 471@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#471: ATTENTION @Mike#1 - serious bug in x2goserver upgrade script (debian wheezy+squeeze)
Date: Thu, 03 Apr 2014 11:41:37 +0200
Am 03.04.2014 11:31, schrieb Mike Gabriel:
> On  Do 03 Apr 2014 10:47:34 CEST, Stefan Baur wrote:
> 
>> ... because this happens immediately after the kill:
>>> o now it should not hang...
> 
> Does service x2goserver start now work? Does the system reboot 
> without hanging?

Seems to work just fine here.

/etc/init.d/x2goserver start

squeeze:
Cleaning up stale X2Go sessions..
And returns to the prompt immediately.

wheezy:
[info] Cleaning up stale X2Go sessions..
And returns to the prompt immediately.

I rebooted my test machines (users wouldn't be happy about unscheduled
reboots on the production ones) and it worked, too.

-Stefan


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#471; Package x2goserver. (Thu, 03 Apr 2014 09:45:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 03 Apr 2014 09:45:02 GMT) (full text, mbox, link).


Message #69 received at 471@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Stefan Baur <newsgroups.mail2@stefanbaur.de>
Cc: 471@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#471: ATTENTION @Mike#1 - serious bug in x2goserver upgrade script (debian wheezy+squeeze)
Date: Thu, 03 Apr 2014 09:43:59 +0000
[Message part 1 (text/plain, inline)]
Hi Stefan,

On  Do 03 Apr 2014 11:41:37 CEST, Stefan Baur wrote:

> Am 03.04.2014 11:31, schrieb Mike Gabriel:
>> On  Do 03 Apr 2014 10:47:34 CEST, Stefan Baur wrote:
>>
>>> ... because this happens immediately after the kill:
>>>> o now it should not hang...
>>
>> Does service x2goserver start now work? Does the system reboot
>> without hanging?
>
> Seems to work just fine here.
>
> /etc/init.d/x2goserver start
>
> squeeze:
> Cleaning up stale X2Go sessions..
> And returns to the prompt immediately.
>
> wheezy:
> [info] Cleaning up stale X2Go sessions..
> And returns to the prompt immediately.
>
> I rebooted my test machines (users wouldn't be happy about unscheduled
> reboots on the production ones) and it worked, too.
>
> -Stefan

Ok. Same here.

Packages (4.0.1.15) are building on jenkins.x2go.org...  
(Lauchpad/Ubuntu builds will follow soon).

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#471; Package x2goserver. (Thu, 03 Apr 2014 10:20:01 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 03 Apr 2014 10:20:01 GMT) (full text, mbox, link).


Message #74 received at 471@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 471@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#471: ATTENTION @Mike#1 - serious bug in x2goserver upgrade script (debian wheezy+squeeze)
Date: Thu, 03 Apr 2014 12:18:51 +0200
Am 03.04.2014 11:43, schrieb Mike Gabriel:

> Packages (4.0.1.15) are building on jenkins.x2go.org...
> (Lauchpad/Ubuntu builds will follow soon).

Build failed. :-(

What's wrong?

-Stefan


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 02 May 2014 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Nov 13 22:32:15 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.